Page MenuHomeSolus

gstreamer-1.0-plugins-bad: switch from libmodplug to libopenmpt
ClosedPublic

Authored by aleksvor on Sun, Apr 25, 10:41 AM.

Details

Summary

Switch from libmodplug to libopenmpt for support of MOD files. The reasons for preferring libopenmpt are detailed in T9550.
Depends on D10907.

Test Plan

Played back 2 MOD files (FastTracker2 and ProTrackerMOD) using GStreamer pipeline:
gst-launch-1.0 -v filesrc location=hard_day.mod ! decodebin ! audioconvert ! audioresample ! pulsesink
gst-launch-1.0 -v filesrc location=okavango.xm ! decodebin ! audioconvert ! audioresample ! pulsesink

Diff Detail

Repository
R1085 gstreamer-1.0-plugins-bad
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

aleksvor created this revision.Sun, Apr 25, 10:41 AM
aleksvor requested review of this revision.Sun, Apr 25, 10:41 AM
JoshStrobl accepted this revision.Sun, Apr 25, 10:42 AM
JoshStrobl added a subscriber: JoshStrobl.

LGTM, thanks!

This revision is now accepted and ready to land.Sun, Apr 25, 10:42 AM